こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

締切り済みの質問

古いLinuxに最新のX Windowsのインストール

Linuxのカーネル2.2で開発しているものです.

いままで使っていたパソコンが壊れたので,新しいパソコンに,Linuxカーネルの2.2を入れたまではいいのですが,X Windowsがうまく動作しません.

たぶん,XFree86が古くて,新しいビデオチップに対応していないと思っています.

なので,最新のXFree86最新バージョンのソースをとってきて,インストールしたいのですが,そもそも古いLinuxに最新のXFree86がコンパイルできて,さらにX Windowsがうまく動作するか心配です.

そこで,ご質問なのですが,古いLinux(カーネル2.2)で最新のXFree86がコンパイルできて,ちゃんと動作するのか教えてください.

あと,もし,コンパイルできた場合,はなりそうな箇所があれば教えていただけるとありたがたいです.

投稿日時 - 2005-10-21 11:54:13

QNo.1726101

困ってます

このQ&Aは役に立ちましたか?

1人が「このQ&Aが役に立った」と投票しています

回答(1)

ANo.1

>Linuxのカーネル2.2で開発しているものです.

この時点でおかしいです.
語弊があるかもしれませんが
カーネルだけじゃ何にもできません
#カーネルそのものを作っているとか
#そーいう話なら別ですけど
#そのレベルの人はこういうことはいわないはず

2.2系列のカーネルを使った
何らかのディストリビューションを用いて
そこで開発しているという意味でしょうか
となるとディストリビューションを明記しないと
何にもわかりません
#kernel2.2というと・・Vineの1.5とか・・
##なぜ2.2なのか?という疑問もありますが。。。

>そもそも古いLinuxに最新のXFree86がコンパイルでき
>て,さらにX Windowsがうまく動作するか心配です.

開発されてるのならご存知でしょう
ソフトウェアはいろいろなライブラリを
使っているわけで,
ライブラリが合わなければ動かない.
カーネルが古かろうが何だろうが
各種ライブラリがきちんと動けば動くでしょう.

結局はXFree86のサイトを見るのが一番早いでしょう
そうすれば動作環境とかそういう情報があるのでは?
ちなみに最近はXFree86ではなくXorgを使っている
ディストリビューションが多いですが.

投稿日時 - 2005-10-21 21:36:44

あなたにオススメの質問